error when selecting medium
Target version: 0.4
Pull request:

Description

While it seems harmless, the following error was in the log files:

Processing HostsController#medium_selected (for 10.35.1.213 at 2011-07-19 12:35:51) [POST]

Parameters: {"action"=>"medium_selected", "authenticity_token"=>"3X4IzYHgBNMb7tJcDRIRbZfsOFwIQVE
VE£7RQkaU50a8=", "controller"=>"hosts", "host"=>{"use_image"=>"undefined", "medium_id"=>"3", "opera
tingsystem_id"=>"16"}}

ActionView: :TemplateError (undefined method "name' for nil:NilClass) on line #8 of app/views/commo
n/os_selection/_image_details.html.erb:

53 <%= check_box_tag type + "[use_image]", 1, item.use_image, :id => type + "_cb_use_image" -%
>

GF: </span>

7 <%= label_tag "#{item}_image_file", "Image filename", :class => "span-4" -%>

8: <%= image_file_entry item—-%>

9. <%= observe_field type + "_cb_use_image",

10: curl => { :raction => :use_image_selected },

11: :with => "'#{type} [use_image]=' + value + '&#{type}[medium_id]=" + S$('##{type}_medium_id")
.attr('value') + '&#{type}[operatingsystem_id]=" + $('##{type}_operatingsystem_id') .attr ('value')
+ '&ft{type} [architecture_id]=" + $('##{type}_architecture_id"') .attr('value')"

app/models/host_common.rb:55:in “default_image_file'
app/helpers/hosts_and_hostgroups_helper.rb:55:in "image_file_entry'
app/views/common/os_selection/_image_details.html.erb:8
lib/foreman/controller/host_details.rb:17:in “medium_selected’

History

#1 - 07/20/2011 04:17 AM - Paul Kelly

breaks the hostgroup initialization on the page

#2 - 07/22/2011 06:16 AM - Paul Kelly
- Category set to Web Interface

- Status changed from New to Ready For Testing

#3 - 07/24/2011 03:06 AM - Paul Kelly
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 0e0394777fbedb3c4c723a86b4c2747ec64642db.
